Servoy Treeview Bean - Defect #757

images are not displaying on server webclient
11/08/2013 02:58 PM - Sanneke Aleman

Status: Resolved Start date: 11/08/2013
Priority: High Due date:

Assignee: Imre Tokai % Done: 100%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
Images are not displaying on server webclient. In developer webclient they display also in the server/developer smart client.

treeDataset = databaseManager.createEmptyDataSet(0, ['id', 'pid', 'treeColumn’, ‘icon’, 'type");

treeDataset.addRow(['h|h', null, i18n.getl18NMessage('tsd.projectx.mathdr.mathdr_itype_L"), 'media:///icons/plaatje1.png"); // header
labels

treeDataset.addRow(['mathdr|L’, null, i18n.getl18NMessage('tsd.projectx.mathdr.mathdr_itype_L"), 'media:///tree_leaf.png’, 'folder");

/[ header labels

treeDataset.addRow(['mathdr|P’, null, i18n.getl18NMessage('tsd.projectx.mathdr.mathdr_itype_P'), 'media:///tree_leaf.png', 'folder");
/[ header labels

treeDataset.addRow(['mathdr|O’, null, i18n.getl18NMessage('tsd.projectx.mathdr.mathdr_itype_Q'), 'media:///tree_leaf.png', 'folder']);
// header labels

History

#1 - 11/08/2013 08:38 PM - Imre Tokai
- Status changed from New to In Progress

- Assignee set to Imre Tokai

Hi Sanneke,

Have tested via sample solution import into server-mode and images seem to display correctly in web-client Chrome browser, user.png.

Check format, compression of images in your solution, please. If issue still persist, share sample solution to reproduce it in web-client while running in
server-mode

Regards

#2 - 11/12/2013 02:34 PM - Sanneke Aleman

- File sample_treeview.servoy added
Here a sample of the problem
#3 - 11/13/2013 07:28 PM - Imre Tokai

Hi Sanneke,
On dataset-fill, try to remove media:// prefix, so instead of media:///tree_leaf.png -> tree_leaf.png

Regards

#4 - 12/17/2013 10:45 AM - Sanneke Aleman

Thanks Imre, we tried this and it worked. Sorry for the late reaction, we tried it right away but forgot to post about it.

#5 - 12/17/2013 10:46 AM - Sanneke Aleman
- % Done changed from 0 to 100

Solved

#6 - 12/30/2013 05:38 PM - Imre Tokai

- Status changed from In Progress to Resolved
Feature should be available in servoy-treeview-experimental.jar
If further work is needed, reopen/create case, please

Regards

Files

sample_treeview.servoy 8.58 KB 11/12/2013 Sanneke Aleman
